import request from '@/utils/request'

// 查询Ai指令关键字列表
export function keywordList(query) {
  return request({
    url: '/fastGpt/fastGptKeywordSend/keywordList',
    method: 'get',
    params: query
  })
}

// 查询Ai指令列表
export function listFastGptKeywordSend(query) {
  return request({
    url: '/fastGpt/fastGptKeywordSend/list',
    method: 'get',
    params: query
  })
}

// 查询Ai指令详细
export function getFastGptKeywordSend(id) {
  return request({
    url: '/fastGpt/fastGptKeywordSend/' + id,
    method: 'get'
  })
}

// 新增Ai指令
export function addFastGptKeywordSend(data) {
  return request({
    url: '/fastGpt/fastGptKeywordSend',
    method: 'post',
    data: data
  })
}

// 修改Ai指令
export function updateFastGptKeywordSend(data) {
  return request({
    url: '/fastGpt/fastGptKeywordSend',
    method: 'put',
    data: data
  })
}

// 删除Ai指令
export function delFastGptKeywordSend(id) {
  return request({
    url: '/fastGpt/fastGptKeywordSend/' + id,
    method: 'delete'
  })
}

// 导出Ai指令
export function exportFastGptKeywordSend(query) {
  return request({
    url: '/fastGpt/fastGptKeywordSend/export',
    method: 'get',
    params: query
  })
}
